participants_dir="$working_dir/participants"
resources_dir="$working_dir/resources"

sq_schema="$schema_dir/semantic_query.xsd"
eq_schema="$schema_dir/event_query.xsd"
mer_schema="$schema_dir/recounting.xsd"
mg_hw_desc_schema="$schema_dir/mg-hw_description.xsd"
cots_hw_desc_schema="$schema_dir/cots-hw_description.xsd"
ms_info_schema="$schema_dir/ms_info.xsd"

check_ok() {
    code=$?
    [ $code != 0 ] && exit $code
}

mv_team_file() {
    file=$1
    newname=$2
    date=$3

    newname_d="${newname}.${date}"
    echo mv $file "$team_dir/$newname_d" >&2
    mv $file "$team_dir/$newname_d"
    check_ok
    
    if [ ! -e "$team_dir/$newname" ]; then
	(cd $team_dir; ln -s $newname_d $newname)
    else
	if [ -L "$team_dir/$newname" ]; then
	    (cd $team_dir; rm $newname; ln -s $newname_d $newname)
	else
	    exit 1
	fi
    fi
}
